Search documentation of wx

# wxCheckListBox (wx v2.6)

Copy Markdown View Source

A `wxCheckListBox` is like a `wxListBox`, but allows items to be checked or unchecked.

When using this class under Windows wxWidgets must be compiled with wxUSE_OWNER_DRAWN set to 1.

See:

- `wxListBox`

- `wxChoice`

- `wxComboBox`

- `wxListCtrl`

- `wxCommandEvent`

This class is derived, and can use functions, from:

- `wxListBox`

- `wxControlWithItems`

- `wxControl`

- `wxWindow`

- `wxEvtHandler`

wxWidgets docs: wxCheckListBox

## Events

Event types emitted from this class:

- `command_checklistbox_toggled`

## Summary

### Types

wxCheckListBox()

### Functions

check(This, Item)

Equivalent to `check(This, Item, [])`.

check/3

Checks the given item.

destroy(This)

Destroys the object

isChecked(This, Item)

Returns true if the given item is checked, false otherwise.

new()

Default constructor.

new(Parent, Id)

Equivalent to `new(Parent, Id, [])`.

new/3

Constructor, creating and showing a list box.

## Types

# wxCheckListBox()

    -type wxCheckListBox() :: wx:wx_object().

## Functions

# check(This, Item)

    -spec check(This, Item) -> ok when This :: wxCheckListBox(), Item :: integer().

Equivalent to `check(This, Item, [])`.

# check/3

    -spec check(This, Item, [Option]) -> ok
                   when This :: wxCheckListBox(), Item :: integer(), Option :: {check, boolean()}.

Checks the given item.

Note that calling this method does not result in a `wxEVT_CHECKLISTBOX` event being emitted.

# destroy(This)

    -spec destroy(This :: wxCheckListBox()) -> ok.

Destroys the object

# isChecked(This, Item)

    -spec isChecked(This, Item) -> boolean() when This :: wxCheckListBox(), Item :: integer().

Returns true if the given item is checked, false otherwise.

# new()

    -spec new() -> wxCheckListBox().

Default constructor.

# new(Parent, Id)

    -spec new(Parent, Id) -> wxCheckListBox() when Parent :: wxWindow:wxWindow(), Id :: integer().

Equivalent to `new(Parent, Id, [])`.

# new/3

    -spec new(Parent, Id, [Option]) -> wxCheckListBox()
                 when
                     Parent :: wxWindow:wxWindow(),
                     Id :: integer(),
                     Option ::
                         {pos, {X :: integer(), Y :: integer()}} |
                         {size, {W :: integer(), H :: integer()}} |
                         {choices, [unicode:chardata()]} |
                         {style, integer()} |
                         {validator, wx:wx_object()}.

Constructor, creating and showing a list box.